package agora.classes;

import java.io.Serializable;
import java.util.Date;

public class ItemAgenda implements Serializable{

	private String itemAgendaID;
	private Space space;
	private Course course;
	private String subject;
	private Date date;

	// public ItemAgenda( Date date, Course course ) {
	// this.date = date;
	// this.setCourse(course);
	// }

	public ItemAgenda(Space space, Course course, String subject, Date date) {
		super();
		this.itemAgendaID = IdGenerator.nextId();
		this.space = space;
		this.course = course;
		this.subject = subject;
		this.date = date;
	}

	public String getItemAgendaID() {
		return itemAgendaID;
	}

	public void setItemAgendaID(String itemAgendaID) {
		this.itemAgendaID = itemAgendaID;
	}

	public Space getSpace() {
		return space;
	}

	public void setSpace(Space space) {
		this.space = space;
	}

	public Course getCourse() {
		return course;
	}

	public void setCourse(Course course) {
		this.course = course;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

}
