package agora.classes;

import java.io.Serializable;
import java.util.Date;

public class Notification implements Serializable{
	/*
	 * nom d'usuari, un missatge, temps i una URL de l'imatge de l'usuari.
	 * Exemple: - josep, fa 10 dies, ha estat a la #porta de l'escola
	 */
	private String notificationID;
	private String username;
	private String message;
	private Date date;
	private String space;
//	private List<String> recivers = new ArrayList<String>();

	public Notification() {
	}

	public Notification(String username, String message, Date date) {
		super();
		this.notificationID = IdGenerator.nextId();
		this.username = username;
		this.message = message;
		this.date = date;
	}

	public Notification(String username, Date date, String space, String message) {
		super();
		this.notificationID = IdGenerator.nextId();
		this.username = username;
		this.message = message;
		this.date = date;
		this.space = space;
	}

	public String getNotificationID() {
		return notificationID;
	}

	public void setNotificationID(String notificationID) {
		this.notificationID = notificationID;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public String getSpace() {
		return space;
	}

	public void setSpace(String space) {
		this.space = space;
	}

	// public List<String> getRecivers() {
	// return recivers;
	// }
	//
	// public void setRecivers(List<String> recivers) {
	// this.recivers = recivers;
	// }

}
