package agora.rest;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.UTFDataFormatException;
import java.io.UnsupportedEncodingException;
import java.net.URI;
import java.net.URISyntaxException;
import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpDelete;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.client.methods.HttpPut;
import org.apache.http.client.utils.URIUtils;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicNameValuePair;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.google.gson.reflect.TypeToken;

import agora.classes.Course;
import agora.classes.ItemAgenda;
import agora.classes.Notification;
import agora.classes.Space;
import agora.classes.User;
import android.net.Uri;

public class AgoraServerAmazonAPI {

	private HttpClient httpclient;
	private HttpResponse response;

	private BufferedReader bufferedReader;

	private HttpGet get;

	private static String URL = "http://54.247.177.108:8080/agora/rest/sendMessage/

	private Gson gson;

	public AgoraServerAmazonAPI() {
		httpclient = new DefaultHttpClient();
		gson = new GsonBuilder().setDateFormat("yyyy-MM-dd").create();
	}

	// informar on es un usuari
	// String username, Space space, String msg, Date date
	public void ckeckin(Notification notification) throws IOException,
			URISyntaxException {
		
		System.out.println("ENVIAAAAAANT");

		String urlsita = URL + "/checkin/"
				+ Uri.encode(notification.getMessage()) + "/Tutoria";

		get = new HttpGet(urlsita);
		response = httpclient.execute(get);
	}

	// String username, String msg, Date date
	public void addNotification(Notification notification)
			throws IllegalStateException, IOException, URISyntaxException {
		if (notification.getMessage().contains("@1rESO")) {
			String replaced = notification.getMessage().replace("@1rESO", "")
					.replace("@2nESO", "").replace("@3rESO", "")
					.replace("@4tESO", "");
			String urlsita = URL + "1erESO/laura@laia.cat/comentaris/"
					+ Uri.encode(replaced) + "/Tutoria";
			get = new HttpGet(urlsita);
			response = httpclient.execute(get);
		}
		if (notification.getMessage().contains("@2nESO")) {
			String replaced = notification.getMessage().replace("@1rESO", "")
					.replace("@2nESO", "").replace("@3rESO", "")
					.replace("@4tESO", "");
			String urlsita = URL + "2onESO/laura@laia.cat/comentaris/"
					+ Uri.encode(replaced) + "/Tutoria";
			get = new HttpGet(urlsita);
			response = httpclient.execute(get);
		}
		if (notification.getMessage().contains("@3rESO")) {
			String replaced = notification.getMessage().replace("@1rESO", "")
					.replace("@2nESO", "").replace("@3rESO", "")
					.replace("@4tESO", "");
			String urlsita = URL + "3erESO/laura@laia.cat/comentaris/"
					+ Uri.encode(replaced) + "/Tutoria";
			get = new HttpGet(urlsita);
			response = httpclient.execute(get);
		}
		if (notification.getMessage().contains("@4tESO")) {
			String replaced = notification.getMessage().replace("@1rESO", "")
					.replace("@2nESO", "").replace("@3rESO", "")
					.replace("@4tESO", "");
			String urlsita = URL + "4rtESO/laura@laia.cat/comentaris/"
					+ Uri.encode(replaced) + "/Tutoria";
			get = new HttpGet(urlsita);
			response = httpclient.execute(get);
		}

	}
}
