package agora.classes;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
@Entity
public class User implements Serializable {

	private String username;
	private String password;
	// private List<ItemAgenda> itemsAgenda = new ArrayList<ItemAgenda>();
	private String photo;

	public User() {
	}

	public User(String username, String password) {
		super();
		this.username = username;
		this.password = password;
	}

	@Id
	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	// /*
	// * En aquest cas el FetchType.EAGER permet mantenir intactes tots els
	// objectes que
	// * en penjen d'ell*/
	// @OneToMany(cascade = CascadeType.ALL, fetch = FetchType.EAGER)
	// public List<ItemAgenda> getItemsAgenda() {
	// return itemsAgenda;
	// }
	//
	// public void setItemsAgenda(List<ItemAgenda> itemsAgenda) {
	// this.itemsAgenda = itemsAgenda;
	// }

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

}
