//package agora.database;
//
//import java.util.ArrayList;
//import java.util.Date;
//import java.util.List;
//
//import org.hibernate.Session;
//import org.hibernate.SessionFactory;
//import org.hibernate.cfg.AnnotationConfiguration;
//import org.hibernate.tool.hbm2ddl.SchemaExport;
//
//import agora.classes.Course;
//import agora.classes.ItemAgenda;
//import agora.classes.Notification;
//import agora.classes.Space;
//import agora.classes.User;
//
//public class CreateTables {
//
//	static AnnotationConfiguration config;
//
//	public static void Create() {
//		config = new AnnotationConfiguration();
//		config.addAnnotatedClass(User.class);
//		config.addAnnotatedClass(ItemAgenda.class);
//		config.addAnnotatedClass(Course.class);
//		config.addAnnotatedClass(Space.class);
//		config.configure("hibernate.cfg.xml");
//		new SchemaExport(config).create(true, true); // crear las tablas
//
//	}
//
//	public static void Insert() {
//		SessionFactory factory = config.buildSessionFactory();
//		Session session = factory.getCurrentSession();
//		session.beginTransaction();
//
//		// List<ItemAgenda> itemAgenda = new ArrayList<ItemAgenda>();
//
//		Space space1 = new Space("Taller de Tecnologia");
//		Space space2 = new Space("Aula 123");
//		Space space3 = new Space("Lab Quimica");
//		Space space4 = new Space("Sala de Conferencies");
//		Space space5 = new Space("Pati");
//		Space space6 = new Space("Biblioteca");
//
//		session.save(space1);
//		session.save(space2);
//		session.save(space3);
//		session.save(space4);
//		session.save(space5);
//		session.save(space6);
//
//		Course course1 = new Course("1rESO");
//		Course course2 = new Course("2nESO");
//		Course course3 = new Course("3rESO");
//		Course course4 = new Course("4tESO");
//
//		List<String> teachers = new ArrayList<String>();
//		teachers.add("Laura");
//		teachers.add("Ingrid");
//		course1.setTeachers(teachers);
//
//		teachers = new ArrayList<String>();
//		teachers.add("Alejandro");
//		teachers.add("Ramon");
//		teachers.add("Sandra");
//		course2.setTeachers(teachers);
//
//		teachers = new ArrayList<String>();
//		teachers.add("Laura");
//		teachers.add("Montse");
//		course3.setTeachers(teachers);
//
//		teachers = new ArrayList<String>();
//		teachers.add("Alex");
//		teachers.add("Sergio");
//		course4.setTeachers(teachers);
//
//		session.save(course1);
//		session.save(course2);
//		session.save(course3);
//
//		// itemAgenda.add(new ItemAgenda(space1, course1 , "Tecnologia", new
//		// Date(2012, 10, 7, 4, 50)));
//		// itemAgenda.add(new ItemAgenda(space2, course2 , "Catala", new
//		// Date(2012, 10, 7, 4, 50)));
//		// itemAgenda.add(new ItemAgenda(space3, course3 , "Experimentals", new
//		// Date(2012, 10, 7, 4, 50)));
//
//		//
//		// for (ItemAgenda item : itemAgenda) {
//		// session.save(item);
//		// }
//
//		User laura = new User("Laura", "1234");
//		User montse = new User("Montse", "1234");
//		
//		session.save(laura);
//		session.save(montse);
//		
//		Notification notification1 = new Notification("Montse", "Rebut. Fins dem", new Date(2012, 3, 7, 16, 55));
//		Notification notification2 = new Notification("Laura", "Dem hi ha reuni", new Date(2012, 3, 7, 16, 50));
//		Notification notification3 = new Notification("Montse", new Date(2012, 2, 2, 11, 4), "Pati", "Avui toca panet de sobrasada");
//		Notification notification4 = new Notification("Montse", "Avui no vindr, no hem trobu be. Hem sap greu", new Date(2012, 1, 30, 6, 50));
//		Notification notification5 = new Notification("Montse", new Date(2012, 1, 26, 9, 5), "Lab Quimica", "Comenem la practica sobre clorofila");
//		Notification notification6 = new Notification("Laura", "Estic a un embs, arribare uns 15 minuts tartd", new Date(2011, 11, 14, 7, 30));
//		Notification notification7 = new Notification("Laura", new Date(2011, 9, 23, 10, 50), "Biblioteca", "Llegint el Quijote!!");
//		Notification notification8 = new Notification("Montse", new Date(2011, 9, 11, 8, 30), "Sala de Conferencies", "Comena la presentacio del Curs");
//
//
//		Notification notification9 = new Notification("Ramon", "Hola, soy Ramon", new Date(2011, 9, 2, 2, 30));
//		Notification notification10 = new Notification("Alejandro", "Hola, soy Alejandro", new Date(2011, 9, 3, 9, 41));
//		Notification notification11 = new Notification("Sandra", "Hola, soy Sandra",	new Date(2011, 9, 4, 7, 5));
//		Notification notification12 = new Notification("Sergio", "Hola, soy Sergio", new Date(2011, 9, 5, 8, 45));
//		Notification notification13 = new Notification("Alex", "Hola, soy Alex", new Date(2011, 9, 6, 9, 50));
//		Notification notification14 = new Notification("Pablo", "Hola, soy Pablo", new Date(2011, 9, 7, 4, 50));
//		
//		session.save(notification1);
//		session.save(notification2);
//		session.save(notification3);
//		session.save(notification4);
//		session.save(notification5);
//		session.save(notification6);
//		session.save(notification7);
//		session.save(notification8);
//		session.save(notification9);
//		session.save(notification10);
//		session.save(notification11);
//		session.save(notification12);
//		session.save(notification13);
//		session.save(notification14);
//		
//		
//		session.getTransaction().commit();
//
//	}
//
//	public static void main(String[] args) {
//		Create();
//		System.out.println("--- Tablas creadas correctamente. ---");
//		Insert();
//	}
//}
