package agora.rest;

import java.util.List;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Request;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.UriInfo;

import agora.classes.Course;
import agora.classes.Notification;
import agora.classes.User;
import agora.singletons.Singleton;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

// FETA en HIBERNATE TOTA
@Path("/course")
public class CourseRest {

	private Response response = null;
	private Gson gson = new GsonBuilder().setDateFormat("yyyy-MM-dd").create();

	@Context
	UriInfo uriInfo;

	@Context
	Request request;

	@GET
	@Produces(MediaType.TEXT_PLAIN)
	@Path("/all")
	public Response getCourse() {
		List<Course> courses = null;
		courses = Singleton.getInstance().getCourses();	
		
		response = Response.status(200).entity(gson.toJson(courses)).build();
		return response;
	}
	
}
