package agora.rest;

import java.util.List;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Request;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.UriInfo;

import agora.classes.Notification;
import agora.classes.Space;
import agora.classes.User;
import agora.singletons.Singleton;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;


// RES a HIBERNATE
@Path("/space")
public class SpaceRest {

	private Response response = null;
	private Gson gson = new GsonBuilder().setDateFormat("yyyy-MM-dd").create();

	@Context
	UriInfo uriInfo;

	@Context
	Request request;

	@GET
	@Produces(MediaType.TEXT_PLAIN)
	@Path("/all")
	public Response getSpace() {
		List<Space> spaces = null;
		spaces = Singleton.getInstance().getSpaces();

		String res = gson.toJson(spaces);

		System.out.println("Resposta --> " + res);

		response = Response.status(200).entity(gson.toJson(spaces)).build();
		return response;
	}
}
